Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpExternal

    java.lang.Object
      |
      +--com.ericsson.otp.erlang.OtpExternal

public class OtpExternal
extends java.lang.Object

Provides a collection of constants used when encoding and decoding Erlang terms.

Field Summary
`static int` | `atomTag` The tag used for atoms
`static int` | `binTag` The tag used for binaries
`static int` | `erlMax` The largest value that can be encoded as an integer
`static int` | `erlMin` The smallest value that can be encoded as an integer
`static int` | `floatTag` The tag used for floating point numbers
`static int` | `intTag` The tag used for integers
`static int` | `largeBigTag` The tag used for large bignums
`static int` | `largeTupleTag` The tag used for large tuples
`static int` | `listTag` The tag used for non-empty lists
`static int` | `maxAtomLength` The longest allowed Erlang atom
`static int` | `newRefTag` The tag used for new style references
`static int` | `nilTag` The tag used for empty lists
`static int` | `pidTag` The tag used for PIDs
`static int` | `portTag` The tag used for ports
`static int` | `refTag` The tag used for old stype references
`static int` | `smallBigTag` The tag used for small bignums
`static int` | `smallIntTag` The tag used for small integers
`static int` | `smallTupleTag` The tag used for small tuples
`static int` | `stringTag` The tag used for strings and lists of small integers
`static int` | `versionTag` The version number used to mark serialized Erlang terms

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### smallIntTag

    public static final int smallIntTag

  The tag used for small integers

### intTag

    public static final int intTag

  The tag used for integers

### floatTag

    public static final int floatTag

  The tag used for floating point numbers

### atomTag

    public static final int atomTag

  The tag used for atoms

### refTag

    public static final int refTag

  The tag used for old stype references

### portTag

    public static final int portTag

  The tag used for ports

### pidTag

    public static final int pidTag

  The tag used for PIDs

### smallTupleTag

    public static final int smallTupleTag

  The tag used for small tuples

### largeTupleTag

    public static final int largeTupleTag

  The tag used for large tuples

### nilTag

    public static final int nilTag

  The tag used for empty lists

### stringTag

    public static final int stringTag

  The tag used for strings and lists of small integers

### listTag

    public static final int listTag

  The tag used for non-empty lists

### binTag

    public static final int binTag

  The tag used for binaries

### smallBigTag

    public static final int smallBigTag

  The tag used for small bignums

### largeBigTag

    public static final int largeBigTag

  The tag used for large bignums

### newRefTag

    public static final int newRefTag

  The tag used for new style references

### versionTag

    public static final int versionTag

  The version number used to mark serialized Erlang terms

### erlMax

    public static final int erlMax

  The largest value that can be encoded as an integer

### erlMin

    public static final int erlMin

  The smallest value that can be encoded as an integer

### maxAtomLength

    public static final int maxAtomLength

  The longest allowed Erlang atom

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD